> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Schedule



## OpenAPI

````yaml post /workspace/sessions/{workspaceId}
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /workspace/sessions/{workspaceId}:
    post:
      tags:
        - Workspace
      summary: Create a schedule
      parameters:
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                external_description:
                  type: string
                public_start_offset:
                  type: number
                public_slock_offset:
                  type: number
                series_start_date:
                  type: string
                  format: date-time
                game_link:
                  type: string
                publish_to_discord:
                  type: boolean
                disable_cohost:
                  type: boolean
                roles:
                  type: array
                  items:
                    type: string
                reoccurring:
                  type: boolean
                cron_expression:
                  type: string
                allow_adhoc:
                  type: boolean
              required:
                - name
                - external_description
                - public_start_offset
                - public_slock_offset
                - series_start_date
                - game_link
                - roles
                - reoccurring
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                  workspace:
                    type: string
                  name:
                    type: string
                  external_description:
                    type: string
                  public_start_offset:
                    type: number
                  public_slock_offset:
                    type: number
                  series_start_date:
                    type: string
                    format: date-time
                  game_link:
                    type: string
                  publish_to_discord:
                    type: boolean
                  roles:
                    type: array
                    items:
                      type: string
                  disable_cohost:
                    type: boolean
                  game_thumbnail_url:
                    type: string
                  reoccurring:
                    type: boolean
                  cron_expression:
                    type: string
                  allow_adhoc:
                    type: boolean
                required:
                  - _id
                  - workspace
                  - name
                  - external_description
                  - public_start_offset
                  - public_slock_offset
                  - series_start_date
                  - game_link
                  - publish_to_discord
                  - roles
                  - disable_cohost
                  - reoccurring
                  - allow_adhoc
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````